/*  ----------------------------------------------------------------<Prolog>-
    Name:       sflmail.h
    Title:      SMTP mailer function
    Package:    standard function library (sfl)

    Written:    06/18/97 Scott Beasley (jscottb@infoave.com)
    Revised:    98-03-17

    Synopsis:   Functions to format and send SMTP messages.  Messages
                can contain attachments, and be sent with "cc"'s "bcc"'s as
                well as the normal "to" receivers.
            
    Copyright:  Copyright (C) 1991-97 Imatix
    License:    this is free software; you can redistribute it and/or modify
                it under the terms of the sfl license agreement as provided
                in the file license.txt.  this software is distributed in
                the hope that it will be useful, but without any warranty.
 ------------------------------------------------------------------</Prolog>-*/

#ifndef _sflmail_included               /*  allow multiple inclusions        */
#define _sflmail_included

/*  Macros & defines                                                         */
/* Macro to encoding a char and make it printable. */
#define ENC(c) ((c) ? ((c) & 077) + ' ': '`')
/* Macro to write too the smtp port. */
#define smtp_send_data(sock,strout) write_TCP((sock),(strout),strlen((strout)))

/*  Function prototypes                                                      */

#ifdef __cplusplus
extern "c" {
#endif
static int 
          uuencode      ( char *strin, char *strout );
static void 
          putgroup     ( register char *strgroup, register FILE *fp );
static int 
          getreply      ( int isocket );
static char *
          getfilename ( char *strfullpath );
int       smtp_send_mail    ( char *strsmtpserver, char *strmsgbody,
                              char *strsubject, char *strsenderuserid,
                              char *strDestUserIds, char *strccuserids,
                              char *strbccuserids, char *strRetPathUserId,
                              char *strRrcpUserId, char *strMsgComment,
                              char *strMailerName, char *strBinfiles, 
                              char *strTxtFiles );
char     *get_last_smtp_message ( void );
#ifdef __cplusplus
}
#endif

#endif
